明经CAD社区

 找回密码
 注册

QQ登录

只需一步,快速开始

搜索
查看: 1751|回复: 4

如何从Coordinates中提取各坐标点数据

[复制链接]
发表于 2007-10-27 16:39:00 | 显示全部楼层 |阅读模式
get3Dpts = ent.Coordinates
  While get3Dpts(i) <> ""
   x(0) = get3Dpts(i): x(1) = get3Dpts(i + 1): x(2) = get3Dpts(i + 2)
    i = i + 3
  Set point = ThisDrawing.ModelSpace.AddPoint(x)
   Wend
这里面get3Dpts(i) <> ""好像不能检验结束,不知如何是好!
跪求各位老兄赐教!!小弟不胜感激!!!!!
发表于 2007-10-27 18:19:00 | 显示全部楼层

也许问题在get3Dpts的数据类型

未赋值的get3Dpsts也许等于0而不是""

不知道对不对,你测试一下

 楼主| 发表于 2007-10-28 02:30:00 | 显示全部楼层
上面的老兄说得对,我也觉得问题应该就在get3Dpts上
但把它改成 While get3Dpts(i) <> 0 后,依然不对
提示下标越界,即get3Dpts中的数据提完后,get3Dpts(i)就变得下标越界了。
实在不知如何提出上面的 Coordinates 中的坐标。
或是哪位老兄知道更简单的办法自动提取3D线上的坐标来
跪求各位老兄赐教!!小弟不胜感激!!!!!
发表于 2007-11-2 11:14:00 | 显示全部楼层

用Ubound(get3Dpts)可以得到get3Dpts数组的个数,然后用For循环就简单多了。

发表于 2007-11-6 16:08:00 | 显示全部楼层

管板交点

Sub Example_IntersectWith()
    ' This example creates a line and circle and finds the points at
    ' which they intersect.
    Dim Object As AcadEntity, Object1 As AcadEntity
    Dim ii As Integer
    Dim ppt As Variant
    For ii = 0 To ThisDrawing.ModelSpace.Count - 1
      On Error Resume Next
      Set Object = ThisDrawing.ModelSpace.Item(ii)
      If ii = ThisDrawing.ModelSpace.Count - 1 Then
        Set Object1 = ThisDrawing.ModelSpace.Item(0)
      Else
        Set Object1 = ThisDrawing.ModelSpace.Item(ii + 1)
      End If
      'Debug.Print Object.Handle, Object1.Handle
      ppt = Object1.IntersectWith(Object, acExtendBoth)
      Debug.Print ii, ppt(0), ppt(1), ppt(2)
   
   
    Next ii
End Sub

您需要登录后才可以回帖 登录 | 注册

本版积分规则

小黑屋|手机版|CAD论坛|CAD教程|CAD下载|联系我们|关于明经|明经通道 ( 粤ICP备05003914号 )  
©2000-2023 明经通道 版权所有 本站代码,在未取得本站及作者授权的情况下,不得用于商业用途

GMT+8, 2024-11-26 12:40 , Processed in 0.170079 second(s), 23 queries , Gzip On.

Powered by Discuz! X3.4

Copyright © 2001-2021, Tencent Cloud.

快速回复 返回顶部 返回列表